Bug 1025007 - [abrt] NetworkManager-0.9.9.0-14.git20131003.fc20: _g_log_abort: Process /usr/sbin/NetworkManager was killed by signal 6 (SIGABRT)
[abrt] NetworkManager-0.9.9.0-14.git20131003.fc20: _g_log_abort: Process /usr...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Haller
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d8ac42cf93e556c576b302f0efe...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 14:05 EDT by Jared Smith
Modified: 2013-11-10 21:26 EST (History)
2 users (show)

See Also:
Fixed In Version: NetworkManager-0.9.9.0-15.git20131003.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 21:26:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.08 KB, text/plain)
2013-10-30 14:05 EDT, Jared Smith
no flags Details
File: cgroup (152 bytes, text/plain)
2013-10-30 14:05 EDT, Jared Smith
no flags Details
File: core_backtrace (9.60 KB, text/plain)
2013-10-30 14:05 EDT, Jared Smith
no flags Details
File: dso_list (2.58 KB, text/plain)
2013-10-30 14:05 EDT, Jared Smith
no flags Details
File: environ (72 bytes, text/plain)
2013-10-30 14:06 EDT, Jared Smith
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-30 14:06 EDT, Jared Smith
no flags Details
File: maps (22.19 KB, text/plain)
2013-10-30 14:06 EDT, Jared Smith
no flags Details
File: open_fds (4.24 KB, text/plain)
2013-10-30 14:06 EDT, Jared Smith
no flags Details
File: proc_pid_status (905 bytes, text/plain)
2013-10-30 14:06 EDT, Jared Smith
no flags Details
[PATCH] ifcfg-rh: fix crash when reading connection (assert in connection_new_or_changed) (2.63 KB, patch)
2013-10-31 08:04 EDT, Thomas Haller
no flags Details | Diff
[PATCH v2] ifcfg-rh: fix crash when reading connection (assert in connection_new_or_changed) (2.63 KB, patch)
2013-11-01 12:42 EDT, Thomas Haller
no flags Details | Diff
[PATCH v2-2] ifcfg-rh: fix crash when reading connection (assert in connection_new_or_changed) (2.43 KB, patch)
2013-11-01 13:18 EDT, Thomas Haller
no flags Details | Diff

  None (edit)
Description Jared Smith 2013-10-30 14:05:37 EDT
Description of problem:
Tried connecting to a new wireless network

Version-Release number of selected component:
NetworkManager-0.9.9.0-14.git20131003.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/sbin/NetworkManager --no-daemon
crash_function: _g_log_abort
executable:     /usr/sbin/NetworkManager
kernel:         3.11.3-301.fc20.x86_64
runlevel:       3 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (8 frames)
 #2 _g_log_abort at gmessages.c:255
 #4 g_assertion_message_error at gtestutils.c:2374
 #5 connection_new_or_changed at plugin.c:349
 #6 _g_closure_invoke_va at gclosure.c:840
 #9 ffi_call_unix64 at ../src/x86/unix64.S:76
 #10 ffi_call at ../src/x86/ffi64.c:522
 #11 g_cclosure_marshal_generic at gclosure.c:1454
 #16 inotify_event_handler at settings/nm-inotify-helper.c:114
Comment 1 Jared Smith 2013-10-30 14:05:46 EDT
Created attachment 817553 [details]
File: backtrace
Comment 2 Jared Smith 2013-10-30 14:05:51 EDT
Created attachment 817554 [details]
File: cgroup
Comment 3 Jared Smith 2013-10-30 14:05:55 EDT
Created attachment 817555 [details]
File: core_backtrace
Comment 4 Jared Smith 2013-10-30 14:05:58 EDT
Created attachment 817556 [details]
File: dso_list
Comment 5 Jared Smith 2013-10-30 14:06:02 EDT
Created attachment 817557 [details]
File: environ
Comment 6 Jared Smith 2013-10-30 14:06:06 EDT
Created attachment 817558 [details]
File: limits
Comment 7 Jared Smith 2013-10-30 14:06:11 EDT
Created attachment 817559 [details]
File: maps
Comment 8 Jared Smith 2013-10-30 14:06:14 EDT
Created attachment 817560 [details]
File: open_fds
Comment 9 Jared Smith 2013-10-30 14:06:18 EDT
Created attachment 817561 [details]
File: proc_pid_status
Comment 10 Thomas Haller 2013-10-31 08:04:51 EDT
Created attachment 817857 [details]
[PATCH] ifcfg-rh: fix crash when reading connection (assert in connection_new_or_changed)
Comment 11 Thomas Haller 2013-11-01 12:42:22 EDT
Created attachment 818364 [details]
[PATCH v2] ifcfg-rh: fix crash when reading connection (assert in connection_new_or_changed)

Different approach then previous patch:

simply ignore any errors in nm_connection_update_secrets.
Comment 12 Thomas Haller 2013-11-01 13:18:23 EDT
Created attachment 818371 [details]
[PATCH v2-2] ifcfg-rh: fix crash when reading connection (assert in connection_new_or_changed)

I attached the wrong patch-file before... again...
Comment 13 Thomas Haller 2013-11-01 13:44:16 EDT
Patch pushed to upstream master (after discussion with dcbw on IRC).

http://cgit.freedesktop.org/NetworkManager/NetworkManager/commit/?id=25428882839ff17c531887bfc58f6669c9708fc8

(at the moment, no fixed NetworkManager package is prepared for F20 yet)
Comment 14 Fedora Update System 2013-11-08 08:44:19 EST
NetworkManager-0.9.9.0-15.git20131003.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/NetworkManager-0.9.9.0-15.git20131003.fc20
Comment 15 Fedora Update System 2013-11-08 13:37:35 EST
Package NetworkManager-0.9.9.0-15.git20131003.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.9.9.0-15.git20131003.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-20932/NetworkManager-0.9.9.0-15.git20131003.fc20
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2013-11-10 21:26:59 EST
NetworkManager-0.9.9.0-15.git20131003.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.